RAPTOR-SEARCH(1)

NAME
Raptor-search - A fast and space-efficient pre-filter for querying very large collections of nucleotide sequences.

SYNOPSIS
raptor search --index <file> --query <file> --output <file> [--threads <number>] [--quiet] [--error <number>|--threshold <number>] [--query_length <number>] [--tau <number>] [--pmax <number>] [--cache-thresholds]

DESCRIPTION
Queries a Raptor index.

OPTIONS

  General options

--index (std::filesystem::path)
    Provide a valid path to an index. Parts: Without suffix _0

--query (std::filesystem::path)
    Provide a path to the query file. The input file must exist and read permissions must be granted. Valid file extensions are [embl,fasta,fa,fna,ffn,faa,frn,fas,fastq,fq,genbank,gb,gbk,sam], possibly followed by [bz2,gz,bgzf].

--output (std::filesystem::path)
     A valid path for the output file. Write permissions must be granted.

--threads (unsigned 8 bit integer)
    The number of threads to use. Default: 1. Value must be a positive integer.

--quiet
    Do not print time and memory usage.

  Threshold method options
If no option is set, --error 0 will be used as default.
Setting --query_length also skips validations associated with the query length, e.g., too long/short queries or a high variance in the query lengths. Notably, queries that are shorter than the window size result in undefined behavior.

--error (unsigned 8 bit integer)
    The number of errors. Mutually exclusive with --threshold. Default: 0. Value must be a positive integer or 0.

--threshold (double)
    Ratio of k-mers that need to be found for a hit to occur. Mutually exclusive with --error. Default: None. Value must be in range [0,1].

--query_length (unsigned 64 bit integer)
    The query length. Only influences the threshold when using --error. Enables skipping of the query length computation for both --error and --threshold. Default: Median of sequence lengths in query file.

  Dynamic thresholding options
These option have no effect when using --threshold or k-mer size == window size.
A higher threshold means that less, in the extreme case even false negative, results will be produced.
A lower threshold means that more, possibly false positive, results will be produced.

--tau (double)
    The higher tau, the lower the threshold. Default: 0.9999. Value must be in range [0,1].

--p_max (double)
    The higher p_max, the lower the threshold. Default: 0.15. Value must be in range [0,1].

--cache-thresholds
    Stores the computed thresholds with an unique name next to the index. In the next search call using this option, the stored thresholds are re-used. Two files are stored:

threshold_*.bin: Depends on query_length, window, kmer/shape, errors, and tau.

correction_*.bin: Depends on query_length, window, kmer/shape, p_max, and fpr.

  Common options

-h, --help
    Prints the help page.

-hh, --advanced-help
    Prints the help page including advanced options.

--version
    Prints the version information.

--copyright
    Prints the copyright/license information.

--export-help (std::string)
    Export the help page information. Value must be one of [html, man, ctd, cwl].

EXAMPLES
raptor search --index raptor.index --query queries.fastq --output search.output

raptor search --index raptor.index --query queries.fastq --output search.output --threshold 0.7

raptor search --index raptor.index --query queries.fastq --output search.output --error 2

raptor search --index raptor.index --query queries.fastq --output search.output --error 2 --query_length 250

VERSION
Last update: Unavailable
Raptor-search version: 3.0.1 (commit unavailable)
Sharg version: 1.1.1
SeqAn version: 3.4.0

URL
https://github.com/seqan/raptor

LEGAL
Raptor-search Copyright: BSD 3-Clause License
Author: Enrico Seiler
Contact: enrico.seiler@fu-berlin.de
SeqAn Copyright: 2006-2023 Knut Reinert, FU-Berlin; released under the 3-clause BSDL.
In your academic works please cite: Raptor: A fast and space-efficient pre-filter for querying very large collections of nucleotide sequences; Enrico Seiler, Svenja Mehringer, Mitra Darvish, Etienne Turc, and Knut Reinert; iScience 2021 24 (7): 102782. doi: https://doi.org/10.1016/j.isci.2021.102782
For full copyright and/or warranty information see --copyright.